Bug 1569132 - [abrt] rhythmbox: rb_shell_load_uri(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: rb_shell_load_uri(): rhythmbox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:178ece3bc7cfb0126067ef1b513...
: 1573853 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 16:29 UTC by Hayden
Modified: 2019-05-28 22:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:33:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (53.81 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: core_backtrace (22.44 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: dso_list (21.01 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: environ (4.06 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: maps (91.38 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: mountinfo (4.64 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: open_fds (1.17 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details
File: var_log_messages (625 bytes, text/plain)
2018-04-18 16:29 UTC, Hayden
no flags Details

Description Hayden 2018-04-18 16:29:08 UTC
Description of problem:
Opened an mp3 in an email from Evolution.

Version-Release number of selected component:
rhythmbox-3.4.2-4.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        rhythmbox /home/hayden/.cache/evolution/tmp/evolution-hayden-uK1Dtv/1524068640523ce388vm.mp3
crash_function: rb_shell_load_uri
executable:     /usr/bin/rhythmbox
journald_cursor: s=0b8eae280394466392d7d2c176e95e3a;i=9b9b;b=0a7772768ab945c786b4fdefd53fc06f;m=16b4825fe;t=56a21ea5c7315;x=3b7b05551ef2a8b3
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rb_shell_load_uri at rb-shell.c:3039
 #1 impl_open at rb-application.c:325
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 g_cclosure_marshal_generic_va at gclosure.c:1604
 #5 _g_closure_invoke_va at gclosure.c:867
 #8 g_application_open at gapplication.c:2280
 #9 load_state_changed_cb at rb-application.c:346
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1303353

Comment 1 Hayden 2018-04-18 16:29:15 UTC
Created attachment 1423658 [details]
File: backtrace

Comment 2 Hayden 2018-04-18 16:29:16 UTC
Created attachment 1423659 [details]
File: cgroup

Comment 3 Hayden 2018-04-18 16:29:17 UTC
Created attachment 1423660 [details]
File: core_backtrace

Comment 4 Hayden 2018-04-18 16:29:18 UTC
Created attachment 1423661 [details]
File: cpuinfo

Comment 5 Hayden 2018-04-18 16:29:19 UTC
Created attachment 1423662 [details]
File: dso_list

Comment 6 Hayden 2018-04-18 16:29:21 UTC
Created attachment 1423663 [details]
File: environ

Comment 7 Hayden 2018-04-18 16:29:22 UTC
Created attachment 1423664 [details]
File: exploitable

Comment 8 Hayden 2018-04-18 16:29:23 UTC
Created attachment 1423665 [details]
File: limits

Comment 9 Hayden 2018-04-18 16:29:24 UTC
Created attachment 1423666 [details]
File: maps

Comment 10 Hayden 2018-04-18 16:29:25 UTC
Created attachment 1423667 [details]
File: mountinfo

Comment 11 Hayden 2018-04-18 16:29:26 UTC
Created attachment 1423668 [details]
File: open_fds

Comment 12 Hayden 2018-04-18 16:29:27 UTC
Created attachment 1423669 [details]
File: proc_pid_status

Comment 13 Hayden 2018-04-18 16:29:28 UTC
Created attachment 1423670 [details]
File: var_log_messages

Comment 14 aolaszewski 2018-05-02 11:45:00 UTC
*** Bug 1573853 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-05-02 19:22:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-02 20:51:21 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-05-28 22:33:33 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.